DevHeads.net

F30+F31: systemupgrades added unfullfillable module dependencies

Hi,

I just found this on Bugzilla and i think it needs immediate intervention:

<a href="https://bugzilla.redhat.com/show_bug.cgi?id=1767422" title="https://bugzilla.redhat.com/show_bug.cgi?id=1767422">https://bugzilla.redhat.com/show_bug.cgi?id=1767422</a>

release upgrades involved: F29->F30 & F30->F31

- removing the mentioned packages do not fix the problem
- they complain about issues in the next release

Conclusion:

Something is not working as planed.

Tasks needed:

Autofix for those errors.

Short version: [retranslated from german dnf output]

# uname -a
Linux eve... 5.3.12-200.fc30.x86_64 #1 SMP Thu Nov 21 22:47:04 UTC 2019
x86_64 x86_64 x86_64 GNU/Linux
[root@eve ]# dnf erase gimp
problems with modular dependencies:

 Problem 1: conflicting requests
  - nothing provides module(platform:f31) needed by module
gimp:2.10:3120191106095052:f636be4b-0.x86_64
 Problem 2: conflicting requests
  - nothing provides module(platform:f31) needed by module
meson:latest:3120191009081836:dc56099c-0.x86_64
 Problem 3: conflicting requests
  - nothing provides module(platform:f31) needed by module
ninja:latest:3120190304180949:f636be4b-0.x86_64
dependencies got resolved.
========================================================================================================================
 Package                  Architecture   
Version                                       Repository                
Size
========================================================================================================================
Entfernen:
 gimp                     x86_64         
2:2.10.14-1.module_f30+6995+c35e2138          @updates-modular         
109 M
Dependencie packages getting removed:
 gimp-help-de             noarch         
2.10.0-1.fc30                                 @updates                  
62 M
no longer needed dependencies getting removed:
 gimp-help                noarch         
2.10.0-1.fc30                                 @updates                  
61 M
 libmypaint               x86_64         
1.4.0-1.fc30                                  @updates                 
721 k
 mypaint-brushes          noarch         
1.3.0-3.fc30                                  @fedora                  
3.3 M

[...]

Removed:
  gimp-2:2.10.14-1.module_f30+6995+c35e2138.x86_64 
gimp-help-de-2.10.0-1.fc30.noarch    gimp-help-2.10.0-1.fc30.noarch
  libmypaint-1.4.0-1.fc30.x86_64                   
mypaint-brushes-1.3.0-3.fc30.noarch

Fertig.
[root@eve ]# dnf erase test
problems with modular dependencies:

 Problem 1: conflicting requests
  - nothing provides module(platform:f31) needed by module
gimp:2.10:3120191106095052:f636be4b-0.x86_64
 Problem 2: conflicting requests
  - nothing provides module(platform:f31) needed by module
meson:latest:3120191009081836:dc56099c-0.x86_64
 Problem 3: conflicting requests
  - nothing provides module(platform:f31) needed by module
ninja:latest:3120190304180949:f636be4b-0.x86_64

(1 A.M. here)
good night,
Marius